# angle::cos Class Reference

Angle representation as a cosine function. More...

`#include <ETL/angle>`

Inheritance diagram for angle::cos:

List of all members.

## Public Member Functions

| cos (const value_type &x)
| cos (const angle &a)
cos | mod () const
| Rotation Modulus.
cos | dist (const angle &rhs) const
| Angle Difference Function.
value_type | get () const

## Detailed Description

Angle representation as a cosine function.

See also:
  angle

Todo:
  This needs to be documented

Definition at line 441 of file _angle.h.

## Constructor & Destructor Documentation

angle::cos::cos | ( | const value_type & | x | ) | `[inline, explicit]`

Definition at line 444 of file _angle.h.

References angle::v.

angle::cos::cos | ( | const angle & | a | ) | `[inline]`

Definition at line 445 of file _angle.h.

## Member Function Documentation

cos angle::cos::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the angle

Reimplemented from angle.

Definition at line 446 of file _angle.h.

References angle::mod().

cos angle::cos::dist | ( | const angle & | rhs | ) | const`[inline]`

Angle Difference Function.

This function will return the difference between two angles, just like

See also:
  angle operator-(const angle &)

Reimplemented from angle.

Definition at line 447 of file _angle.h.

References angle::dist().

value_type angle::cos::get | ( |  | ) | const`[inline]`

Definition at line 448 of file _angle.h.

References cos(), and angle::v.

The documentation for this class was generated from the following file:

- _angle.h